# Get Cost Center List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getCostCenterList`

#### Request Body

| Name    | Type    | Description         |
| ------- | ------- | ------------------- |
| venueId | integer | The id of the venue |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 1,
        "start": 0,
        "perPage": 50,
        "count": 1
    },
    "results": [
        {
            "id": 1,
            "name": "Food",
            "code": "venueccfd",
            "description": "Venue food cost center",
            "parentId": 321,
            "parentDefaultType": 1,
        }
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the events the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties. The venueId is required, for example {"venuId":10}

### Returns

| Property          | Description                                                                                           |
| ----------------- | ----------------------------------------------------------------------------------------------------- |
| id                | The unique identifier of the cost center                                                              |
| name              | The name of the cost center                                                                           |
| code              | The code of the cost center                                                                           |
| description       | The complete description of the cost center                                                           |
| parentId          | The unique identifier of the parent account cost center                                               |
| parentDefaultType | The type of the parent account cost center. See [Type](/account/get-cost-center-list.md#default-type) |

### Throws

| Code                 | Description            |
| -------------------- | ---------------------- |
| Specific Code: 24270 | Account does not exist |
| Specific Code: 24271 | Venue does not exist   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-cost-center-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
